[Overview][Classes][Variables][Index] | Reference for unit 'ports' (#rtl)

# port

Provide port access per integer

## Declaration

Source position: ports.pp line 57

`var port: tport;`

## Description

Default instance of type TPort. Do not free. This variable is initialized in the unit initialization code, and freed at finalization.

Since there is a default property for a variable of this type, a sentence as

    port[221]:=12;

Will result in the integer 12 being written to port 221, if port is defined as a variable of type tport

Documentation generated on: Feb 26 2014